Skip to main content
GET
/
api
/
v1
/
priority
priority
curl --request GET \
  --url https://api.naos.trade/api/v1/priority \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "network": "<string>",
  "priorities": [
    {
      "params": {
        "gasPrice": "<string>",
        "maxFeePerGas": "<string>",
        "maxPriorityFeePerGas": "<string>"
      }
    }
  ],
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key via Authorization: Bearer YOUR_API_KEY

Query Parameters

network
enum<string>
required

Blockchain network Blockchain network identifier

Available options:
BASE,
ETH,
BSC,
ARB,
AVAX,
ABS,
HYPE,
INK,
STORY,
XLAYER,
PLASMA,
UNI,
MONAD,
MEGAETH,
SOL

Response

Gas fee estimates

success
boolean
required
network
string | null
priorities
object[] | null
error
string | null